MWAWTextListener.cxx File Reference

Implements MWAWTextListener: the libmwaw word processor listener. More...

`#include <cstring>`
`#include <iomanip>`
`#include <sstream>`
`#include <time.h>`
`#include <librevenge/librevenge.h>`
`#include "libmwaw_internal.hxx"`
`#include "MWAWCell.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWGraphicEncoder.hxx"`
`#include "MWAWGraphicListener.hxx"`
`#include "MWAWGraphicStyle.hxx"`
`#include "MWAWGraphicShape.hxx"`
`#include "MWAWInputStream.hxx"`
`#include "MWAWList.hxx"`
`#include "MWAWPageSpan.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWParser.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "MWAWTable.hxx"`
`#include "MWAWTextListener.hxx"`

## Classes
struct | MWAWTextListenerInternal::DocumentState
| a class to store the document state of a MWAWTextListener More...
struct | MWAWTextListenerInternal::State
| the state of a MWAWTextListener More...

## Namespaces
namespace | MWAWTextListenerInternal
| Internal and low level namespace to define the states of MWAWTextListener.

## Enumerations
enum | { MWAWTextListenerInternal::PageBreakBit =0x1 , MWAWTextListenerInternal::ColumnBreakBit =0x2 }
| a enum to define basic break bit More...

## Detailed Description

Implements MWAWTextListener: the libmwaw word processor listener.

Note
  this class is the only class which does the interface with the librevenge::RVNGTextInterface